from .core import (
    strategy,
    evaluate,
    Strategy,
    Indicator,
    Analyzer,
    Observer,
    Request,
    proxy_request,
    Table,
    Logger,
    parse_commastr,
    reduce_mem_usage,
)

from .backtrade import (
    weight_strategy,
    RebalanceStrategy,
    TradeOrderRecorder,
    CashValueRecorder,
    Cerebro,
)

from .request import (
    WeChat,
    SnowBall,
    get_spot_data,
)
from .table import (
    FrameTable,
    TradeTable,
    PanelTable,
)


DEBUG_LEVEL = 10
INFO_LEVEL = 20
WARNING_LEVEL = 30
CRITICAL_LEVEL = 40


MARKET_ORDER = 0
CLOSE_ORDER = 1
LIMIT_ORDER = 2
STOP_ORDER = 3
STOPLIMIT_ORDER = 4
STOPTRAIL_ORDER = 5
STOPTRAILLIMIT_ORDER = 6
HISTORICAL_ORDER = 7


__version__ = "4.4.8"
